using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Serialization;

public class BallBehavior : MonoBehaviour
{
    private Collider _sphereCollider;
    private Rigidbody _sphereRigidbody;
    [SerializeField] private float jumpHeight = 1f;
    // Start is called before the first frame update
    void Start()
    {
        _sphereCollider = GetComponent<Collider>();
        _sphereRigidbody = GetComponent<Rigidbody>();
        _sphereCollider.isTrigger = true;
        _sphereRigidbody.useGravity = true;
        
        // We create another collider that is not a trigger
        // and we use it to detect collisions
        var boxCollider = gameObject.AddComponent<SphereCollider>();
        boxCollider.isTrigger = false;
        boxCollider.radius = _sphereCollider.bounds.size.x / 2;
    }

    // Update is called once per frame
    void Update()
    {
        // We move forward
        transform.position += Vector3.forward * Time.deltaTime;
    }

    private void OnTriggerEnter(Collider other)
    {
        // We gives it velocity
        _sphereRigidbody.velocity = Vector3.up * jumpHeight;
        Debug.Log("Ball is now triggered");
    }
}
